
From: Tony Breeds <tony@bakeyournoodle.com>


---

 25-akpm/drivers/char/ftape/lowlevel/ftape-tracing.h |    4 ++--
 25-akpm/drivers/char/serial_tx3912.h                |    4 ++--
 25-akpm/drivers/char/watchdog/machzwd.c             |    2 +-
 25-akpm/drivers/isdn/i4l/isdn_net.h                 |   12 ++++++------
 25-akpm/drivers/media/video/w9966.c                 |    2 +-
 25-akpm/drivers/mtd/chips/cfi_cmdset_0001.c         |    2 +-
 25-akpm/drivers/pci/hotplug/pcihp_skeleton.c        |   10 +++++-----
 25-akpm/drivers/pcmcia/sa1100_pfs168.c              |    2 +-
 25-akpm/drivers/pcmcia/sa1100_shannon.c             |   10 +++++-----
 25-akpm/drivers/pcmcia/sa1100_stork.c               |    4 ++--
 25-akpm/drivers/pcmcia/sa1100_yopy.c                |    6 +++---
 25-akpm/drivers/scsi/pcmcia/nsp_debug.c             |    2 +-
 25-akpm/drivers/tc/lk201.c                          |    2 +-
 25-akpm/drivers/tc/zs.c                             |    7 ++++---
 25-akpm/drivers/usb/serial/kobil_sct.c              |    2 +-
 15 files changed, 36 insertions(+), 35 deletions(-)

diff -puN drivers/char/ftape/lowlevel/ftape-tracing.h~remove_concat_FUNCTION_drivers drivers/char/ftape/lowlevel/ftape-tracing.h
--- 25/drivers/char/ftape/lowlevel/ftape-tracing.h~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/char/ftape/lowlevel/ftape-tracing.h	Tue Apr  6 16:10:51 2004
@@ -70,8 +70,8 @@ typedef enum {
 #define TRACE(l, m, i...)						\
 {									\
 	if ((ft_trace_t)(l) == FT_TRACE_TOP_LEVEL) {			\
-		printk(KERN_INFO"ftape"__FILE__"("__FUNCTION__"):\n"	\
-		       KERN_INFO m".\n" ,##i);				\
+		printk(KERN_INFO"ftape%s(%s):\n"	                \
+		       KERN_INFO m".\n" ,__FILE__, __FUNCTION__ , ##i);	\
 	}								\
 }
 #define SET_TRACE_LEVEL(l)      if ((l) == (l)) do {} while(0)
diff -puN drivers/char/serial_tx3912.h~remove_concat_FUNCTION_drivers drivers/char/serial_tx3912.h
--- 25/drivers/char/serial_tx3912.h~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/char/serial_tx3912.h	Tue Apr  6 16:10:51 2004
@@ -59,9 +59,9 @@ int rs_debug = TX3912_UART_DEBUG_ALL & ~
 
 #define rs_dprintk(f, str...) if (rs_debug & f) printk (str)
 #define func_enter() rs_dprintk (TX3912_UART_DEBUG_FLOW,	\
-				"rs: enter " __FUNCTION__ "\n")
+				"rs: enter %s\n", __FUNCTION__)
 #define func_exit() rs_dprintk (TX3912_UART_DEBUG_FLOW,	\
-				"rs: exit " __FUNCTION__ "\n")
+				"rs: exit %s\n", __FUNCTION__)
 
 #else
 #define rs_dprintk(f, str...)
diff -puN drivers/char/watchdog/machzwd.c~remove_concat_FUNCTION_drivers drivers/char/watchdog/machzwd.c
--- 25/drivers/char/watchdog/machzwd.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/char/watchdog/machzwd.c	Tue Apr  6 16:10:51 2004
@@ -151,7 +151,7 @@ static unsigned long next_heartbeat = 0;
 #ifndef ZF_DEBUG
 #	define dprintk(format, args...)
 #else
-#	define dprintk(format, args...) printk(KERN_DEBUG PFX; ":" __FUNCTION__ ":%d: " format, __LINE__ , ## args)
+#	define dprintk(format, args...) printk(KERN_DEBUG PFX ":%s:%d: " format, __FUNCTION__, __LINE__ , ## args)
 #endif
 
 
diff -puN drivers/isdn/i4l/isdn_net.h~remove_concat_FUNCTION_drivers drivers/isdn/i4l/isdn_net.h
--- 25/drivers/isdn/i4l/isdn_net.h~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/isdn/i4l/isdn_net.h	Tue Apr  6 16:10:51 2004
@@ -106,8 +106,8 @@ static __inline__ void isdn_net_add_to_b
 	spin_lock_irqsave(&nd->queue_lock, flags);
 
 	lp = nd->queue;
-//	printk(KERN_DEBUG __FUNCTION__": lp:%s(%p) nlp:%s(%p) last(%p)\n",
-//		lp->name, lp, nlp->name, nlp, lp->last); 
+//	printk(KERN_DEBUG "%s: lp:%s(%p) nlp:%s(%p) last(%p)\n",
+//		__FUNCTION__, lp->name, lp, nlp->name, nlp, lp->last);
 	nlp->last = lp->last;
 	lp->last->next = nlp;
 	lp->last = nlp;
@@ -127,8 +127,8 @@ static __inline__ void isdn_net_rm_from_
 	if (lp->master)
 		master_lp = (isdn_net_local *) lp->master->priv;
 
-//	printk(KERN_DEBUG __FUNCTION__": lp:%s(%p) mlp:%s(%p) last(%p) next(%p) mndq(%p)\n",
-//		lp->name, lp, master_lp->name, master_lp, lp->last, lp->next, master_lp->netdev->queue); 
+//	printk(KERN_DEBUG "%s: lp:%s(%p) mlp:%s(%p) last(%p) next(%p) mndq(%p)\n",
+//		__FUNCTION__, lp->name, lp, master_lp->name, master_lp, lp->last, lp->next, master_lp->netdev->queue);
 	spin_lock_irqsave(&master_lp->netdev->queue_lock, flags);
 	lp->last->next = lp->next;
 	lp->next->last = lp->last;
@@ -139,8 +139,8 @@ static __inline__ void isdn_net_rm_from_
 		}
 	}
 	lp->next = lp->last = lp;	/* (re)set own pointers */
-//	printk(KERN_DEBUG __FUNCTION__": mndq(%p)\n",
-//		master_lp->netdev->queue); 
+//	printk(KERN_DEBUG "%s: mndq(%p)\n",
+//		__FUNCTION__, master_lp->netdev->queue);
 	spin_unlock_irqrestore(&master_lp->netdev->queue_lock, flags);
 }
 
diff -puN drivers/media/video/w9966.c~remove_concat_FUNCTION_drivers drivers/media/video/w9966.c
--- 25/drivers/media/video/w9966.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/media/video/w9966.c	Tue Apr  6 16:10:51 2004
@@ -63,7 +63,7 @@
 //#define DEBUG				// Undef me for production
 
 #ifdef DEBUG
-#define DPRINTF(x, a...) printk(KERN_DEBUG "W9966: "__FUNCTION__ "(): "x, ##a)
+#define DPRINTF(x, a...) printk(KERN_DEBUG "W9966: %s(): "x, __FUNCTION__ , ##a)
 #else
 #define DPRINTF(x...)
 #endif
diff -puN drivers/mtd/chips/cfi_cmdset_0001.c~remove_concat_FUNCTION_drivers drivers/mtd/chips/cfi_cmdset_0001.c
--- 25/drivers/mtd/chips/cfi_cmdset_0001.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/mtd/chips/cfi_cmdset_0001.c	Tue Apr  6 16:10:51 2004
@@ -1575,7 +1575,7 @@ static int cfi_intelext_lock(struct mtd_
 					ofs, len, DO_XXLOCK_ONEBLOCK_LOCK);
 	
 #ifdef DEBUG_LOCK_BITS
-	printk(KERN_DEBUG __FUNCTION__
+	printk(KERN_DEBUG
 	       "%s: lock status after, ret=%d\n", __FUNCTION__, ret);
 	cfi_intelext_varsize_frob(mtd, do_printlockstatus_oneblock,
 				  ofs, len, 0);
diff -puN drivers/pci/hotplug/pcihp_skeleton.c~remove_concat_FUNCTION_drivers drivers/pci/hotplug/pcihp_skeleton.c
--- 25/drivers/pci/hotplug/pcihp_skeleton.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/pci/hotplug/pcihp_skeleton.c	Tue Apr  6 16:10:51 2004
@@ -224,7 +224,7 @@ static int get_power_status (struct hotp
 	if (slot == NULL)
 		return -ENODEV;
 	
-	dbg(__FUNCTION__" - physical_slot = %s\n", hotplug_slot->name);
+	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 
 	/*
 	 * Fill in logic to get the current power status of the specific
@@ -242,7 +242,7 @@ static int get_attention_status (struct 
 	if (slot == NULL)
 		return -ENODEV;
 	
-	dbg(__FUNCTION__" - physical_slot = %s\n", hotplug_slot->name);
+	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 
 	/*
 	 * Fill in logic to get the current attention status of the specific
@@ -260,7 +260,7 @@ static int get_latch_status (struct hotp
 	if (slot == NULL)
 		return -ENODEV;
 	
-	dbg(__FUNCTION__" - physical_slot = %s\n", hotplug_slot->name);
+	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 
 	/*
 	 * Fill in logic to get the current latch status of the specific
@@ -278,7 +278,7 @@ static int get_adapter_status (struct ho
 	if (slot == NULL)
 		return -ENODEV;
 	
-	dbg(__FUNCTION__" - physical_slot = %s\n", hotplug_slot->name);
+	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 
 	/*
 	 * Fill in logic to get the current adapter status of the specific
@@ -296,7 +296,7 @@ static void release_slots(struct hotplug
 	if (slot == NULL)
 		return -ENODEV;
 
-	dbg(__FUNCTION__" - physical_slot = %s\n", hotplug_slot->name);
+	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 	kfree(slot->hotplug_slot->info);
 	kfree(slot->hotplug_slot->name);
 	kfree(slot->hotplug_slot);
diff -puN drivers/pcmcia/sa1100_pfs168.c~remove_concat_FUNCTION_drivers drivers/pcmcia/sa1100_pfs168.c
--- 25/drivers/pcmcia/sa1100_pfs168.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/pcmcia/sa1100_pfs168.c	Tue Apr  6 16:10:51 2004
@@ -101,7 +101,7 @@ pfs168_pcmcia_configure_socket(struct sa
     }
 
     if (state->Vpp != state->Vcc && state->Vpp != 0) {
-      printk(KERN_ERR "%s(): CompactFlash socket does not support VPP %uV\n"
+      printk(KERN_ERR "%s(): CompactFlash socket does not support VPP %uV\n",
 	     __FUNCTION__, state->Vpp / 10);
       return -1;
     }
diff -puN drivers/pcmcia/sa1100_shannon.c~remove_concat_FUNCTION_drivers drivers/pcmcia/sa1100_shannon.c
--- 25/drivers/pcmcia/sa1100_shannon.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/pcmcia/sa1100_shannon.c	Tue Apr  6 16:10:51 2004
@@ -74,19 +74,19 @@ shannon_pcmcia_configure_socket(struct s
 {
 	switch (state->Vcc) {
 	case 0:	/* power off */
-		printk(KERN_WARNING __FUNCTION__"(): CS asked for 0V, still applying 3.3V..\n");
+		printk(KERN_WARNING "%s(): CS asked for 0V, still applying 3.3V..\n", __FUNCTION__);
 		break;
 	case 50:
-		printk(KERN_WARNING __FUNCTION__"(): CS asked for 5V, applying 3.3V..\n");
+		printk(KERN_WARNING "%s(): CS asked for 5V, applying 3.3V..\n", __FUNCTION__);
 	case 33:
 		break;
 	default:
-		printk(KERN_ERR __FUNCTION__"(): unrecognized Vcc %u\n",
-		       state->Vcc);
+		printk(KERN_ERR "%s(): unrecognized Vcc %u\n",
+		       __FUNCTION__, state->Vcc);
 		return -1;
 	}
 
-	printk(KERN_WARNING __FUNCTION__"(): Warning, Can't perform reset\n");
+	printk(KERN_WARNING "%s(): Warning, Can't perform reset\n", __FUNCTION__);
 	
 	/* Silently ignore Vpp, output enable, speaker enable. */
 
diff -puN drivers/pcmcia/sa1100_stork.c~remove_concat_FUNCTION_drivers drivers/pcmcia/sa1100_stork.c
--- 25/drivers/pcmcia/sa1100_stork.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/pcmcia/sa1100_stork.c	Tue Apr  6 16:10:51 2004
@@ -50,7 +50,7 @@ static void stork_pcmcia_hw_shutdown(str
 {
 	int i;
 
-        printk(__FUNCTION__ "\n");
+        printk("%s\n", __FUNCTION__);
 
         /* disable IRQs */
         sa11xx_free_irqs(skt, irqs, ARRAY_SIZE(irqs));
@@ -68,7 +68,7 @@ stork_pcmcia_socket_state(struct sa1100_
         unsigned long levels = GPLR;
 
 	if (debug > 1)
-		printk(__FUNCTION__ " GPLR=%x IRQ[1:0]=%x\n", levels,
+		printk("%s GPLR=%x IRQ[1:0]=%x\n", __FUNCTION__, levels,
 			(levels & (GPIO_STORK_PCMCIA_A_RDY|GPIO_STORK_PCMCIA_B_RDY)));
 
 	switch (skt->nr) {
diff -puN drivers/pcmcia/sa1100_yopy.c~remove_concat_FUNCTION_drivers drivers/pcmcia/sa1100_yopy.c
--- 25/drivers/pcmcia/sa1100_yopy.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/pcmcia/sa1100_yopy.c	Tue Apr  6 16:10:51 2004
@@ -76,13 +76,13 @@ yopy_pcmcia_configure_socket(struct sa11
 		pcmcia_power(0);
 		break;
 	case 50:
-		printk(KERN_WARNING __FUNCTION__"(): CS asked for 5V, applying 3.3V..\n");
+		printk(KERN_WARNING "%s(): CS asked for 5V, applying 3.3V..\n", __FUNCTION__);
 	case 33:
 		pcmcia_power(1);
 		break;
 	default:
-		printk(KERN_ERR __FUNCTION__"(): unrecognized Vcc %u\n",
-		       state->Vcc);
+		printk(KERN_ERR "%s(): unrecognized Vcc %u\n",
+		       __FUNCTION__, state->Vcc);
 		return -1;
 	}
 
diff -puN drivers/scsi/pcmcia/nsp_debug.c~remove_concat_FUNCTION_drivers drivers/scsi/pcmcia/nsp_debug.c
--- 25/drivers/scsi/pcmcia/nsp_debug.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/scsi/pcmcia/nsp_debug.c	Tue Apr  6 16:10:51 2004
@@ -90,7 +90,7 @@ static void print_commandk (unsigned cha
 	int i, s;
 	printk(KERN_DEBUG);
 	print_opcodek(command[0]);
-	/*printk(KERN_DEBUG __FUNCTION__ " ");*/
+	/*printk(KERN_DEBUG "%s ", __FUNCTION__);*/
 	if ((command[0] >> 5) == 6 ||
 	    (command[0] >> 5) == 7 ) {
 		s = 12; /* vender specific */
diff -puN drivers/tc/lk201.c~remove_concat_FUNCTION_drivers drivers/tc/lk201.c
--- 25/drivers/tc/lk201.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/tc/lk201.c	Tue Apr  6 16:10:51 2004
@@ -74,7 +74,7 @@ static int __init lk201_reset(struct dec
 
 	for (i = 0; i < sizeof(lk201_reset_string); i++)
 		if (info->hook->poll_tx_char(info, lk201_reset_string[i])) {
-			printk(__FUNCTION__" transmit timeout\n");
+			printk("%s transmit timeout\n", __FUNCTION__);
 			return -EIO;
 		}
 	return 0;
diff -puN drivers/tc/zs.c~remove_concat_FUNCTION_drivers drivers/tc/zs.c
--- 25/drivers/tc/zs.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/tc/zs.c	Tue Apr  6 16:10:51 2004
@@ -1988,7 +1988,8 @@ unsigned int register_zs_hook(unsigned i
 	struct dec_serial *info = &zs_soft[channel];
 
 	if (info->hook) {
-		printk(__FUNCTION__": line %d has already a hook registered\n", channel);
+		printk("%s: line %d has already a hook registered\n",
+		       __FUNCTION__, channel);
 
 		return 0;
 	} else {
@@ -2015,8 +2016,8 @@ unsigned int unregister_zs_hook(unsigned
                 info->hook = NULL;
                 return 1;
         } else {
-                printk(__FUNCTION__": trying to unregister hook on line %d,"
-                       " but none is registered\n", channel);
+                printk("%s: trying to unregister hook on line %d,"
+                       " but none is registered\n", __FUNCTION__, channel);
                 return 0;
         }
 }
diff -puN drivers/usb/serial/kobil_sct.c~remove_concat_FUNCTION_drivers drivers/usb/serial/kobil_sct.c
--- 25/drivers/usb/serial/kobil_sct.c~remove_concat_FUNCTION_drivers	Tue Apr  6 16:10:51 2004
+++ 25-akpm/drivers/usb/serial/kobil_sct.c	Tue Apr  6 16:10:51 2004
@@ -505,7 +505,7 @@ static int kobil_write (struct usb_seria
 
 static int kobil_write_room (struct usb_serial_port *port)
 {
-	//dbg(__FUNCTION__ " - port %d", port->number);
+	//dbg("%s - port %d", __FUNCTION__, port->number);
 	return 8;
 }
 

_
